Author Topic: help! groups?  (Read 2200 times)

0 Members and 1 Guest are viewing this topic.

Q1241274614

  • Guest
help! groups?
« on: February 05, 2013, 11:36:57 PM »
1 ssget

2 elements in 3
« Last Edit: February 06, 2013, 08:09:09 AM by Q1241274614 »

Tharwat

  • Swamp Rat
  • Posts: 710
  • Hypersensitive
Re: groups
« Reply #1 on: February 05, 2013, 11:42:54 PM »
Is this a puzzle ?

irneb

  • Water Moccasin
  • Posts: 1794
  • ACad R9-2016, Revit Arch 6-2016
Re: groups
« Reply #2 on: February 05, 2013, 11:59:07 PM »
If you mean that selecting one item gives a selection set of 3 items, that's because they've been grouped and your group selection is turned on. Try adjusting PickStyle:
http://docs.autodesk.com/ARCHDESK/2013/ENU/index.html?url=filesACD/GUID-C20C24AD-81F5-4E4A-A414-B1A2BC71E041.htm,topicNumber=ACDd30e201157
Common sense - the curse in disguise. Because if you have it, you have to live with those that don't.

Q1241274614

  • Guest
Re: groups
« Reply #3 on: February 06, 2013, 05:39:44 AM »
(DEFUN C:TT()
  (vl-load-com)
  (setq p (getpoint "\n起点 "))
  (setq q (getpoint p "\n终点点 "))
  (setq r1 (getdist "\n起点半径"))
  (setq r2 (getdist "\n起点半径"))
  (setq l1(entmakex (list (cons 0 "LINE") (cons 10 p)(cons 11 q)(cons 62 2))))
  (setq er1(entmakex (list (cons 0 "CIRCLE") (cons 10 p) (cons 40 r1)(cons 62 4))))
  (setq er2(entmakex (list (cons 0 "CIRCLE") (cons 10 q) (cons 40 r2)(cons 62 4))))
  (vlax-ldata-put l1 "规格" (strcat "l1="(rtos (distance p q) 2 0)))
  (vlax-ldata-put er1 "规格" (strcat "r1=" (rtos r1 2 0)))
  (vlax-ldata-put er2 "规格" (strcat "r2="(rtos r2 2 0)))
)

Excuse me what method can be the same length as the radius of the circle line, the same as a group of selected objects! Contains: copy,
« Last Edit: February 06, 2013, 05:44:17 AM by Q1241274614 »

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: help! groups?
« Reply #4 on: February 06, 2013, 08:30:00 AM »
This is the Chicken or the egg riddle.  8-)

Select objects & build a table
OR
Select the table & build the objects
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

Lee Mac

  • Seagull
  • Posts: 12921
  • London, England
Re: help! groups?
« Reply #5 on: February 06, 2013, 08:36:09 AM »
Select objects and build table?

Code: [Select]
(defun c:test ( / en in l1 l2 l3 l4 ss x1 x3 x4 )
    (if (setq ss (ssget '((0 . "LINE,CIRCLE"))))
        (progn
            (repeat (setq in (sslength ss))
                (setq en (entget (ssname ss (setq in (1- in)))))
                (if (= "LINE" (cdr (assoc 0 en)))
                    (setq l1 (cons (list (cdr (assoc 10 en)) (cdr (assoc 11 en))) l1))
                    (setq l2 (cons (list (cdr (assoc 10 en)) (cdr (assoc 40 en))) l2))
                )
            )
            (while (and l1 l2)
                (setq x1 (car l1)
                      l1 (cdr l1)
                      l3 nil
                )
                (foreach x2 l2
                    (if (and (not (cddr l3))
                            (or (equal (car x2) (car  x1) 1e-8)
                                (equal (car x2) (cadr x1) 1e-8)
                            )
                        )
                        (setq l3 (cons (cadr x2) l3)
                              l2 (vl-remove x2 l2)
                        )
                    )
                )
                (if l3
                    (if (setq x4 (assoc (setq x3 (cons (apply 'distance x1) (vl-sort l3 '<))) l4))
                        (setq l4 (subst (list x3 (1+ (cadr x4))) x4 l4))
                        (setq l4 (cons  (list x3 1) l4))
                    )
                )
            )
            (mapcar 'print l4)
        )
    )
    (princ)
)

Q1241274614

  • Guest
Re: help! groups?
« Reply #6 on: February 06, 2013, 10:29:59 PM »
Thanks Lee for your explanation.

Q1241274614

  • Guest
Re: help! groups?
« Reply #7 on: February 08, 2013, 12:06:03 AM »
What can be achieved by ( vlax-ldata-put ) statistics, because some elements not necessarily at the line end.